%global srcname pytest-faulthandler

Name:           python-%{srcname}
Version:        1.5.0
Release:        1%{?dist}
Summary:        py.test plugin that activates the fault handler module for tests

License:        MIT
URL:            https://github.com/pytest-dev/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-pytest-mock
BuildRequires:  python2-pytest
BuildRequires:  python2-setuptools_scm
BuildRequires:  python2-faulthandler

BuildRequires:  python3-devel
BuildRequires:  python3-pytest-mock
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools_scm

%description
Plugin for pytest that automatically enables the faulthandler
module during tests. Inspired by the nose faulthandler plugin.


%package -n python2-%{srcname}
Summary:    %{summary}
Requires:   python2-pytest
Requires:   python2-faulthandler
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Plugin for pytest that automatically enables the faulthandler
module during tests. Inspired by the nose faulthandler plugin.


%package -n python3-%{srcname}
Summary:    %{summary}
Requires:   python3-pytest
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Plugin for pytest that automatically enables the faulthandler
module during tests. Inspired by the nose faulthandler plugin.


%prep
%autosetup -n %{srcname}-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%check
PYTHONPATH=$(pwd) py.test-2 ./test_pytest_faulthandler.py
PYTHONPATH=$(pwd) py.test-3 ./test_pytest_faulthandler.py


%files -n python2-%{srcname}
%doc README.rst
%license LICENSE
%{python2_sitelib}/pytest_faulthandler.py*
%{python2_sitelib}/pytest_faulthandler-%{version}-py%{python2_version}.egg-info/

%files -n python3-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/pytest_faulthandler.py
%{python3_sitelib}/pytest_faulthandler-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/__pycache__/pytest_faulthandler.*


%changelog
* Mon Apr 09 2018 Lumír Balhar <lbalhar@redhat.com> - 1.5.0-1
- New upstream version and build dependency

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.3.0-2
- Rebuild for Python 3.6

* Tue Oct 04 2016 Dominika Krejci <dkrejci@redhat.com> - 1.3.0-1
- Inital release

